﻿# OBSBlur
...allows the _safer_ use of DisplayCaptures in OBS Studio, by overlaying an image
over specific windows. There is **_no guarantee_** that there will be absolutely no
information spill. No responsibility is taken by me.

## Prerequisites
OBS-Websocket (now included in OBSStudio by default).

## Installation and configuration
Download, or compile, OBSBlur and start.
A `config.json` will be created in the same folder.

Edit values to match OBS-Websocket settings (include `ws://` before the address).

There is two options for blurring:
1. By executable (e.g. chrome.exe) `BlurPrograms`
2. By window-title `BlurWindows`

`EnabledScenes` is a collection of Scene-Names (OBS) where there is a DisplayCapture.

`DisplayCaptureName` is the name of the SceneItem (Source) that should be referenced for position.